module.exports = {
  babelrc: false,
  compact: false,
  cacheDirectory: true,
  presets: [
    [
      // https://github.com/babel/babel/blob/master/packages/babel-preset-env/src/available-plugins.js
      require.resolve('@babel/preset-env'),
      {
        // only production
        modules: false,
        targets: {
          browsers: [
            '> 1%',
            'last 2 versions',
            'Firefox ESR',
            'ie >= 9'
          ]
        },
        useBuiltIns: 'usage'
      }
    ]
  ],
  plugins: [
    [require.resolve('@babel/plugin-proposal-decorators'), { "legacy": true }], // 处理es7的装饰着模式即@符号引入的方法
    require.resolve('@babel/plugin-proposal-class-properties'), // 处理es2015中的static属性和es2016中
    require.resolve('@babel/plugin-syntax-dynamic-import'), // 动态 import
  ]
}

